/*
*
* Gtk+1.2-Gtk+2.x  Utility routines
* Copyright (C) 2002-2005 by Tito Ragusa <tito-wolit@tiscali.it>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
* Please read the COPYING and README file!!!
*
* Report bugs to <tito-wolit@tiscali.it>
*
*/

/*#################################### File Selection Widget #####################################################*/
/* gtk-2.0: ok */

#include <stdio.h>
#include <gtk/gtk.h>

void file_sel_ok(GtkWidget *widget, int * filesel_ptr_ok)
{
	DBG_FUNCTION_NAME;
	assert(widget!=NULL);

	SET2(*filesel_ptr_ok,1);
	gtk_main_quit();
}

/* gtk-2.0: ok */
char *file_selector(char *title, int fileop)
{
	GtkWidget	*file_sel_win;
	int ok=0;
	int * ptr_ok;
	char *selected_path=NULL;

	DBG_FUNCTION_NAME;

	ptr_ok=&ok;

	file_sel_win = gtk_file_selection_new(title);
	/* we only want to open one file selection window at once */
	gtk_window_set_modal(GTK_WINDOW(file_sel_win), TRUE);

	if(fileop==HIDE_FILE_OP_BUTTONS)
		gtk_file_selection_hide_fileop_buttons(GTK_FILE_SELECTION(file_sel_win));
	/* else*/
	/*	show file operation buttons (default) */

	/* window placement policy */
	set_position(GTK_WINDOW(file_sel_win), GTK_WIN_POS_CENTER);
	
	/* Set signals */
	signal_connect(GTK_OBJECT(file_sel_win),
				"delete_event",GTK_SIGNAL_FUNC(gtk_main_quit), &file_sel_win);
	signal_connect(GTK_OBJECT(GTK_FILE_SELECTION(file_sel_win)->ok_button),
				"clicked", GTK_SIGNAL_FUNC(file_sel_ok), ptr_ok);
	signal_connect(GTK_OBJECT(GTK_FILE_SELECTION(file_sel_win)->cancel_button),
				"clicked", GTK_SIGNAL_FUNC(gtk_main_quit), &file_sel_win);
	
	gtk_widget_show(file_sel_win);
	gtk_main();

	/* This must be freed later */
	selected_path=(char *)xstrdup(gtk_file_selection_get_filename(GTK_FILE_SELECTION(file_sel_win)));

	gtk_widget_destroy(file_sel_win);

	/* ok clicked: something was selected */
	if(ok == 1 ) {
		debug(err_msg("selected path: %s", selected_path));
		return (char *)selected_path;
	}
	/* else nothing was selected  return NULL */

	debug(err_msg("nothing selected"));
	
	selected_path=xfree(selected_path);
	return NULL;
}

/*############################### End of File Selection Widget #####################################################*/
