/*
* XFPROT Copyright (C) 2002-2005 by Tito Ragusa <tito-wolit@tiscali.it>
*
* XFPROT is a graphical frontend for the F-Prot Antivirus
* for Linux Small Business Edition. It was based upon the
* XSTEP-3.5.1 library until version 0.19beta.
* Starting from version 0.20beta it is based upon Gtk-1.2.10.
* From version 1.0-rc2 it is also possible to use Gtk-2.x.x libraries.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
* Please read the COPYING and README file!!!
*
* Report bugs to <tito-wolit@tiscali.it>
*
*/

/* MYGTK stuff */
#define STR_FILE											"File"
#define STR_I_AGREE_DONT_SHOW_IT_AGAIN						"I agree, don't show it again"
#define STR_OK												"Ok"
#define STR_YES												"Yes"
#define STR_NO												"No"
#define STR_HELP											"Help"
#define STR_ERROR											"Error"
#define STR_ALERT											"Alert"
#define STR_WARNING											"Warning"
#define STR_ABOUT											"About"
#define STR_UNTITLED										"Untitled"
#define STR_OPEN											"Open"
#define STR_SAVE_AS											"Save as"
#define STR_CANNOT_OPEN_FILE								"Cannot open file!"
#define STR_DIALOG_WINDOW									"Dialog Window"
#define STR_UNABLE_TO_STAT_S_S								"Unable to stat:\n%s:\n%s"
#define STR_S_IS_A_DIR										"\"%s\" is a directory"
#define STR_FILE_S_IS_A_DEVICE_FILE							"File \"%s\" is a device file"
#define STR_ERROR_READING_FILE_S_S							"Error Reading File: %s: %s"
#define STR_CONVERSION_TO_UTF8_FAILED						"Conversion to UTF-8 failed!"
#define STR_DEST_FILE_EXIST									"The destination file exists.\nDo you want to overwrite it ?"
#define STR_DEST_FILE_NEWER									"The destination file was modificated\nafter we openend it.\n"\
															"Do you want to overwrite\nthis more recent  version ?"
#define STR_NO_FILE_NAME									"No file name"
#define STR_ERROR_WRITING_FILE_S_S							"Error Writing File: %s: %s"
#define STR_CANNOT_SAVE_S_UNKNOWN_ERROR						"Cannot save: %s: Unknown error"
#define STR_CANNOT_SET_FILE_PERMISSIONS_ON_S_S				"Cannot set file permissions on:\n%s:\n%s"
#define STR_SAVE_FILE										"Save File ?"
#define STR_FILE_MODIFIED_WANT_TO_SAVE						"The File has been modified.\n"\
															"Do you want to save it ?"
/* MENU WIDGET */
#define STR_NEW												"New"
#define SHC_FILE_NEW										"<control>N"
#define STR_OPEN											"Open"
#define SHC_FILE_OPEN										"<control>O"
#define STR_SAVE											"Save"
#define SHC_FILE_SAVE										"<control>S"
#define STR_SAVE__AS										"Save _As"
#define SHC_FILE_SAVE_AS									"<control>A"
#define STR_QUIT											"Quit"
#define SHC_FILE_QUIT										"<control>Q"
#define STR_HELP											"Help"
#define STR_ABOUT											"About"
#define SHC_HELP_ABOUT										"<control>A"
 
/* TEXT EDIT WIDGET MENU SPECIFIC STUFF */ 
#define STR_WRAP											"Wrap"
#define SHC_OPTIONS_WRAP									"<control>W"
#define STR_OPTIONS											"Options"

/* XFPROT MENU */
#define STR_TOOLS											"Tools"
#define STR_SETTINGS										"Settings"
#define STR_CONFIGURE										"Configure"

/* XFPROT GUI stuff, messages printed to the terminal for info or debug are not translated */
#define STR_SELECT_PATH_TO_SCAN								"Select path to scan:"
#define STR_SELECT_REPORT_FILE_PATH							"Select report file path:"
#define STR_INFO											"Info"
#define STR_EXIT											"Exit"
#define STR_VIRUS_LIST										"Virus List"
#define STR_TEST											"Test"
#define STR_UPDATE											"Update"
#define STR_REPORT											"Report"
#define STR_SCAN											"Scan"
#define STR_ONLY											"Only"
#define STR_REPORT_FILE_IS_NOT_A_REGULAR_FILE				"Report file is not a regular file!"
#define STR_REPORT_FILE_EXISTS_OVERWRITE					"Report file exists. Overwrite?"
#define STR_FAILED_TO_REMOVE_LOCK_FILE_ABORTING				"Failed to remove lock file.\nAborting..."
#define STR_LICENSE											"Licensed under the GNU General Public License, version 2"
#define STR_WARRANTY										"This program  comes with ABSOLUTELY NO WARRANTY.\nUSE AT YOUR OWN RISK!!!"
#define STR_YOU_ARE_RUNNING_XFPROT_AS_ROOT_CONTINUE			"You are running xfprot as root!\nContinue?"
#define STR_DONT_SHOW_IT_AGAIN								"Don't show it again"
#define STR_XFPROT_HAS_DETECTED_A_LOCK_FILE					"xfprot has detected a lock file.\n"\
															"Another instance of xfprot seems to be running.\n"\
															"If you have determined that there is no other xfprot running\n"\
															"please click \"Yes\" to begin."
#define STR_CANNOT_OPEN_LOCK_FILE_ABORTING					"Cannot open lock file.\nAborting..."
#define STR_CANNOT_LOCK_FILE_ABORTING						"Cannot lock lock-file.\nAborting..."
#define	STR_CANNOT_SET_PERMISSIONS_OF_PRIVATE_DIR_ABORTING	"Cannot set permissions\nof private dir to 0700.\nAborting..."
#define STR_CANNOT_SET_OWNER_OF_PRIVATE_DIR_ABORTING		"Cannot set owner\nof private dir.\nAborting..."
#define STR_CANNOT_CHANGE_DIR_TO_PRIVATE_DIR_ABORTING		"Cannot change dir\nto private dir.\nAborting..."
#define STR_FILE_NOT_FOUND_ABORTING							"File not found!\nAborting..."
#define STR_CANNOT_GET_PWENT_ABORTING						"Cannot get password file entry.\nAborting..."
#define STR_FAILED_TO_CD_TO_HOMEDIR_TRYING_ROOTDIR			"Failed to change dir to user's home dir,\ntrying\"/\"instead."
#define STR_FAILED_TO_CD_TO_ROOTDIR_ABORTING				"Failed to change dir to \"/\",\nAborting..."
#define STR_PRIVATE_DIR_IS_A_LINK_ABORTING					"xfprot's private dir is a link.\nAborting..."
#define STR_CANNOT_CREATE_PRIVATE_DIR_ABORTING				"Cannot create xfprot's private dir.\nAborting..."
#define STR_PATH_TO_SCAN									"Path to scan"
#define STR_NOSUB											"Do not scan subdirectories"
#define STR_SCAN_MODE										"Scan mode"
#define STR_REPORT_ONLY										"Report only"
#define STR_INTERACTIVE										"Interactive"
#define STR_AUTOMATIC										"Automatic"
#define STR_SCAN_FOR_MACRO_VIRUS							"Scan for macro virus"
#define STR_ACTIONS_TO_TRY_ON_INFECTED_FILES				"Actions to try on infected files"
#define STR_DISINFECT_WHENEVER_POSSIBLE						"Disinfect whenever possible"
#define STR_COMBINATIONS_OF_SWITCHES						"It is possible to specify combinations of switches"
#define STR_RENAME_INFECTED_FILES							"Rename infected COM/EXE files to VOM/VXE"
#define STR_DELETE_INFECTED_FILES							"Delete  infected files"
#define STR_MACRO_VIRUS_REMOVAL_OPTIONS						"Macro virus removal options"
#define STR_REMOVE_INFECTED_MACROS_FROM_DOCS				"Remove infected macros from docs"
#define STR_REMOVE_ALL_MACROS_FROM_INFECTED_DOCS			"Remove all macros from infected docs"
#define STR_REMOVE_ALL_MACROS_FROM_ALL_DOCS					"Remove all macros from all docs"
#define STR_FILE_TYPES										"File types"
#define STR_ATTEMPT_TO_IDENTIFY_FILES						"Attempt to identify files"
#define STR_STANDARD_FILE_EXTENSIONS						"Standard file extensions"
#define STR_SCAN_ALL_FILES									"Scan all files"
#define STR_REPORT_FILE										"Report file"
#define STR_APPEND_TO_EXISTING_REPORT_FILE					"Append to existing report file"
#define STR_LIST_ALL_SCANNED_FILES							"List all scanned files"
#define STR_OPTIONS											"Options"
#define STR_SCAN_INSIDE_ARCHIVES							"Scan inside archives"
#define STR_SCAN_PROTECTED_ARCHIVES							"Scan within password protected archives"
#define STR_SCAN_COMPRESSED_EXECUTABLES						"Scan compressed executables"
#define STR_SCAN_FOR_OTHER_VARIOUS_MALWARE					"Scan for other various malware"
#define STR_ENABLE_NEURAL_NETWORK_VIRUS_DETECTION			"Enable neural network virus detection"
#define STR_FOLLOW_SYMBOLIC_LINKS							"Follow symbolic links"
#define STR_DO_NOT_COMPLAIN_ABOUT_OLD_DEF_FILES				"Do not complain about old DEF files"
#define STR_USE_HEURISTICS									"Use heuristics:"
#define STR_NOHEUR_TOOLTIP									"Only a fraction of infected files will be detected"
#define STR_NO_ACTION_DOING_REPORT_ONLY						"No action selected, resetting to Report-only mode" 
