# Copyright (c) 2004 "Leonardo S. Leopando" <lsl@pacific.net.ph>
# Tested on Fedora Core 1 and compiled with gtk2 and no debug.
# Uninstall xprot before rebuilding this package.
# Install routine does not like an existing /usr/bin/xfprot.

%define name xfprot
%define version 1.3
%define release 1
# Program installs in /usr/local like f-prot
%define prefix /usr/local

Summary:        A graphical frontend to f-prot for Linux.
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source:         %{name}-%{version}.tar.gz
URL:            http://web.tiscali.it/sharp/xfprot/
Group:          Applications/System
License:        GPL
Vendor:         Tito Ragusa <tito-wolit@tiscali.it>
BuildRoot:      %{_tmppath}/%{name}-buildroot
Requires:       fp-linux-ws
BuildRequires:  gtk2-devel

%description
XFPROT is a graphical frontend to the F-Prot Antivirus(TM) for Linux Small
Business Edition (C) by Frisk Software International which is free of charge
for personal use and downloadable at http://www.f-prot.com/.

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
./configure --with-gtk2 --without-debug
make

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
make PREFIX=$RPM_BUILD_ROOT%{prefix} install
# Fix symlink
rm -rf $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s %{prefix}/xfprot/xfprot-gtk $RPM_BUILD_ROOT%{_bindir}/xfprot

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root,755)
%{_bindir}
%{prefix}/xfprot

%changelog
